import request from '@/utils/request'

// 查询cmc安全要求列表
export function listSafeRequest(query) {
  return request({
    url: '/oa/safeRequest/list',
    method: 'get',
    params: query
  })
}

// 查询cmc安全要求详细
export function getSafeRequest(requestId) {
  return request({
    url: '/oa/safeRequest/' + requestId,
    method: 'get'
  })
}

// 新增cmc安全要求
export function addSafeRequest(data) {
  return request({
    url: '/oa/safeRequest',
    method: 'post',
    data: data
  })
}

// 修改cmc安全要求
export function updateSafeRequest(data) {
  return request({
    url: '/oa/safeRequest',
    method: 'put',
    data: data
  })
}

// 删除cmc安全要求
export function delSafeRequest(requestId) {
  return request({
    url: '/oa/safeRequest/' + requestId,
    method: 'delete'
  })
}
